Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextDuplicateMultiple Method
Cursor Class See Also Send Feedback

If the next key/data pair of the database is a duplicate data record for the current key/data pair, move the cursor to the next key/data pair in the database, and store that pair and as many duplicate data items that can fit in a buffer the size of one database page in CurrentMultiple. MoveNextDuplicateMultiple will return false if the next key/data pair of the database is not a duplicate data record for the current key/data pair.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public bool MoveNextDuplicateMultiple()

Visual Basic (Declaration)
    Public Function MoveNextDuplicateMultiple As Boolean

Visual C++
    public:
    bool MoveNextDuplicateMultiple()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextDuplicateMultiple Overload
BerkeleyDB Namespace